/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { FullStochasticOscillatorIndicatorStrategy } from "./FullStochasticOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
import { Brush } from "igniteui-react-core/ES2015/Brush";
export class FullStochasticOscillatorIndicator extends StrategyBasedIndicator {
    constructor() {
        super();
        this.trendLineBrush = ((() => {
            let $ret = new Brush();
            $ret.fill = "#565656";
            return $ret;
        })());
        this.trendLineType = 10;
        this.trendLinePeriod = 3;
    }
    get_p0() {
        return new FullStochasticOscillatorIndicatorStrategy();
    }
    get p0() {
        return this.get_p0();
    }
    get_qd() {
        return FullStochasticOscillatorIndicator.$;
    }
    get qd() {
        return this.get_qd();
    }
    get ql() {
        return typeGetValue(this.c(FullStochasticOscillatorIndicator.qq));
    }
    set ql(a) {
        this.h(FullStochasticOscillatorIndicator.qq, a);
    }
    p6() {
        return this.ql;
    }
    qf(a) {
        this.ql = a;
    }
    get smoothingPeriod() {
        return typeGetValue(this.c(FullStochasticOscillatorIndicator.qr));
    }
    set smoothingPeriod(a) {
        this.h(FullStochasticOscillatorIndicator.qr, a);
    }
    p8() {
        return this.smoothingPeriod;
    }
    get qn() {
        return typeGetValue(this.c(FullStochasticOscillatorIndicator.qs));
    }
    set qn(a) {
        this.h(FullStochasticOscillatorIndicator.qs, a);
    }
    p5() {
        return this.qn;
    }
    pg() {
        return this.qn;
    }
}
FullStochasticOscillatorIndicator.qq = StrategyBasedIndicator.qi(14, FullStochasticOscillatorIndicator.$);
FullStochasticOscillatorIndicator.qr = StrategyBasedIndicator.qj(3, FullStochasticOscillatorIndicator.$, "SmoothingPeriod");
FullStochasticOscillatorIndicator.qs = StrategyBasedIndicator.qj(3, FullStochasticOscillatorIndicator.$, "TriggerPeriod");
FullStochasticOscillatorIndicator.$t = markType(FullStochasticOscillatorIndicator, 'FullStochasticOscillatorIndicator', StrategyBasedIndicator.$);
/*<BeginStatics Name="Infragistics.Controls.Charts.FullStochasticOscillatorIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.FullStochasticOscillatorIndicator" />*/
